Loading...
Searching...
No Matches
Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C > Class Template Reference

`#include <dune/istl/paamg/graph.hh>`

Inheritance diagram for Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >:

## Public Types

typedef std::conditional< std::is_same< typenamestd::remove_const< C >::type, C >::value, typenameGraph::VertexIterator, typenameGraph::ConstVertexIterator >::type | Father
| The father class.

## Public Member Functions

| VertexIteratorT (const Father &iter, C *graph)
| Constructor.
| VertexIteratorT (const Father &iter)
| Constructor for the end iterator.
template<class C1>
| VertexIteratorT (const VertexIteratorT< C1 > &other)
| Copy Constructor.
std::conditional< std::is_same< C, typenamestd::remove_const< C >::type >::value, VertexProperties &, constVertexProperties & >::type | properties () const
| Get the properties of the current Vertex.
EdgeIteratorT< C > | begin () const
| Get an iterator over the edges starting from the current vertex.
EdgeIteratorT< C > | end () const
| Get an iterator over the edges starting from the current vertex.

## Friends

class | VertexIteratorT< const typename std::remove_const< C >::type >
class | VertexIteratorT< typename std::remove_const< C >::type >

## Member Typedef Documentation

## Father

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

typedef std::conditional<std::is_same<typenamestd::remove_const<C>::type,C>::value,typenameGraph::VertexIterator,typenameGraph::ConstVertexIterator>::type Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >::Father

The father class.

## Constructor & Destructor Documentation

## VertexIteratorT() [1/3]

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >::VertexIteratorT | ( | const Father & | iter,
|  | C * | graph )

explicit

Constructor.

Parameters

  iter | The iterator of the underlying graph.
  graph | The property graph over whose vertices we iterate.

## VertexIteratorT() [2/3]

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >::VertexIteratorT | ( | const Father & | iter | ) |

explicit

Constructor for the end iterator.

Only operator!= or operator== can be called safely on an iterator constructed this way.

Parameters

  iter | The iterator of the underlying graph.

## VertexIteratorT() [3/3]

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>
template<class C1>

Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >::VertexIteratorT | ( | const VertexIteratorT< C1 > & | other | ) |

Copy Constructor.

Parameters

  other | The iterator to copy.

## Member Function Documentation

## begin()

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

EdgeIteratorT< C > Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >::begin | ( |  | ) | const

Get an iterator over the edges starting from the current vertex.

Returns
  An iterator over the edges starting from the current vertex positioned at the first edge.

## end()

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

EdgeIteratorT< C > Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >::end | ( |  | ) | const

Get an iterator over the edges starting from the current vertex.

Returns
  An iterator over the edges starting from the current vertex positioned after the last edge.

## properties()

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

std::conditional< std::is_same< C, typenamestd::remove_const< C >::type >::value, VertexProperties &, constVertexProperties & >::type Dune::Amg::PropertiesGraph< G, VP, EP, VM, EM >::VertexIteratorT< C >::properties | ( |  | ) | const

Get the properties of the current Vertex.

## Friends And Related Symbol Documentation

## VertexIteratorT< const typename std::remove_const< C >::type >

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

friend class VertexIteratorT< const typename std::remove_const< C >::type >

friend

## VertexIteratorT< typename std::remove_const< C >::type >

template<class G, class VP, class EP, class VM = IdentityMap, class EM = IdentityMap>
template<class C>

friend class VertexIteratorT< typename std::remove_const< C >::type >

friend

The documentation for this class was generated from the following file:

- graph.hh